<?php
include_once('../../../php/sessionStart.php');
include_once('../../../php/db/dbExec.php');
include_once('../../../php/functions.php');
include_once('../../../php/timezone.php');
include_once('../../../php/privileges.php');

$bitForm = "iva2070";
$bitMod = "iva";
$empCod = $_SESSION['empCod'];
$usuCod = utf8_decode($_SESSION['usuCod']);
$usuNom = utf8_decode($_SESSION['usuNom']);

switch ($_POST['action']) {
	case 'consultarTipov':
		echo consultarTipov();
		break;

	case 'guardar':
		echo guardar();
		break;

	case 'borrar':
		echo borrar();
		break;
}

function consultarTipov() {
	global $empCod;
	$txtCod=utf8_decode($_POST['txtCod']);

	# QUERYS
	$sTipov = "SELECT *,TRIM(tv_nom) AS tv_nom, trim(tv_abrev) AS tv_abrev FROM tipov WHERE tv_cod='$txtCod'";
	
	# EJECUCION DE QUERYS
	$db = new dbExec();
	$resp = $db->sEx($sTipov, "tipov");
	$db->close();

	$func = new functions();
	return $func->jsonEncodeArray($resp, "tipov");
}

function guardar() {
	global $empCod, $usuNom, $bitMod, $bitForm;

	$priv = new privileges();
	if (!$priv->modify($_SESSION['usuPriv'])) {
		return json_encode($priv->rErrorModify());
	}

	$func = new functions();

	$txtCod=$_POST['txtCod'];
	$txtNom=utf8_decode($_POST['txtNom']);
	$txtAbrev=utf8_decode($_POST['txtAbrev']);
	$crCi=$_POST['crCi'];
	$crPone=$_POST['crPone'];
	$crLibro=$_POST['crLibro'];
	$crSerie=$_POST['crSerie'];

	# QUERYS PARA UN REGISTRO
	$iTipov = "INSERT INTO tipov(tv_cod, tv_nom, tv_abrev, tv_impues, tv_pone, tv_librosn, tv_seriesn) VALUES ('$txtCod','$txtNom','$txtAbrev','$crCi','$crPone','$crLibro','$crSerie')";

	$uTipov = "UPDATE tipov SET tv_nom='$txtNom',tv_abrev='$txtAbrev',tv_impues='$crCi',tv_pone='$crPone',tv_librosn='$crLibro',tv_seriesn='$crSerie' WHERE tv_cod='$txtCod'";

	# EJECUCION DE QUERYS 
	$db = new dbExec();
	if ($func->stringToBool($_POST['nuevo'])) {
		$resp = $db->iEx($iTipov);
		$db->iEx($func->iBitacora(utf8_decode("Se agrego el tipo de Venta: $txtCod  $txtNom Usuario: ").$usuNom, $bitMod, $bitForm));
	} else {
		$resp = $db->uEx($uTipov);
		$db->iEx($func->iBitacora(utf8_decode("Se modifico el tipo de Venta: $txtCod  $txtNom Usuario: ").$usuNom, $bitMod, $bitForm));
	}
	
	$db->close();

	return json_encode($resp);
}

function borrar() {
	global $empCod, $usuNom, $bitMod, $bitForm;

	$func = new functions();

	$txtCod=$_POST['txtCod'];
	$txtNom=utf8_decode($_POST['txtNom']);

	# QUERYS
	$dTipov = "DELETE FROM tipov WHERE tv_cod='$txtCod'";

	# EJECUCION DE QUERYS 
	$db = new dbExec();
	$resp = $db->dEx($dTipov);
	$db->iEx($func->iBitacora(utf8_decode("Se borró el Tipo de Venta: $txtCod  $txtNom Usuario: ").$usuNom, $bitMod, $bitForm));
	$db->close();

	return json_encode($resp);
}
?>